using Domain.Entities;
using Domain.Generics;
using Domain.SearchParams;

namespace Core.Interfaces
{
    public interface IPatientDom
    {
        Task<EPatient> CreateAsync(EPatient entity);
        Task<bool> DeleteAsync(int id);
        Task<byte[]> ExportFilteredPatientsToExcelAsync(PatientSearchParams searchParams);
        Task<PagedResult<EPatient>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<EPatient?> GetByIdAsync(int id);
        Task<PagedResult<EPatient>> SearchAsync(string? name, string? document, int page = 1, int pageSize = 50);
        Task<bool> UpdateAsync(EPatient entity);

    }
}
